#!/bin/sh

RRDDIR="/var/www/localhost/rrd"
RRDPREFIX="crypto-"
TMPLDIR="/var/www/localhost/tmpl"

EGLDBTC=$(curl -s "https://api.binance.com/api/v3/ticker/price?symbol=EGLDBTC" | jq .price | sed 's/"//g')
BTCEUR=$(curl -s "https://api.binance.com/api/v3/ticker/price?symbol=BTCEUR" | jq .price | sed 's/"//g')
SELL=$(echo $EGLDBTC $BTCEUR | awk '{printf "%.8f",$1*$2}')

rrdtool update "${RRDDIR}/${RRDPREFIX}EGLD.rrd" N:${SELL}

