#!/bin/sh

DIR="/var/www/mrtg/tmpl"
cpuCount=$(grep processor /proc/cpuinfo | wc -l)

curl -s http://10.3.0.1 | while read c;
do

echo "-v memory 
-t [$c] memory
--full-size-mode
--color=BACK#343637
--color=CANVAS#F0F0F0
--color=FONT#F0F0F0
--font=TITLE:12:DejaVu Bold
DEF:in=/var/www/mrtg/rrd/lxc-$c.memory.rrd:ds0:AVERAGE
AREA:in#CC9A5780
LINE1:in#CC9A57" > "$DIR/lxc-$c.memory.tmpl"

echo "-v cpu perc
-t [$c] cpu
--full-size-mode
--color=BACK#343637
--color=CANVAS#F0F0F0
--color=FONT#F0F0F0
--font=TITLE:12:DejaVu Bold
DEF:i=/var/www/mrtg/rrd/lxc-$c.cpu.rrd:ds0:AVERAGE
CDEF:in=i,$cpuCount,/,10000000,/
AREA:in#CC9A5780
LINE1:in#CC9A57" > "$DIR/lxc-$c.cpu.tmpl"

echo "-v in/up bps 
-t [$c] net
--full-size-mode
--color=BACK#343637
--color=CANVAS#F0F0F0
--color=FONT#F0F0F0
--font=TITLE:12:DejaVu Bold
DEF:rx=/var/www/mrtg/rrd/lxc-$c.net.rrd:ds0:AVERAGE
DEF:tx=/var/www/mrtg/rrd/lxc-$c.net.rrd:ds1:AVERAGE
CDEF:RX=rx,8,*
CDEF:TX=tx,8,*
COMMENT:        max.          avg.         min.         cur.\n
AREA:RX#CC9A5760:Rx
GPRINT:RX:MAX:%6.2lf %sbps
GPRINT:RX:AVERAGE:%6.2lf %sbps
GPRINT:RX:MIN:%6.2lf %sbps
GPRINT:RX:LAST:%6.2lf %sbps\n
LINE1:TX#2EA349:Tx
GPRINT:TX:MAX:%6.2lf %sbps
GPRINT:TX:AVERAGE:%6.2lf %sbps
GPRINT:TX:MIN:%6.2lf %sbps
GPRINT:TX:LAST:%6.2lf %sbps\n" > "$DIR/lxc-$c.net.tmpl"

done
